# Uses of Interface
org.eclipse.birt.chart.model.attribute.Style

Packages that use Style
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of Style in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Style
Modifier and Type
Method
Description
`Style`
Style.`copyInstance()`
`Style`
AttributeFactory.`createStyle()`
Returns a new object of class 'Style'.
`Style`
StyleMap.`getStyle()`
Returns the value of the 'Style' containment reference.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type Style
Modifier and Type
Method
Description
`void`
StyleMap.`setStyle(Style value)`
Sets the value of the '`Style`' containment reference.

## Uses of Style in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Style
Modifier and Type
Class
Description
`class`
`StyleImpl`
An implementation of the model object 'Style'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Style
Modifier and Type
Method
Description
`Style`
StyleImpl.`copyInstance()`
`static Style`
StyleImpl.`create(FontDefinition font, ColorDefinition color, ColorDefinition backcolor, Image backimage, Insets padding)`
`Style`
AttributeFactoryImpl.`createStyle()`
`Style`
StyleMapImpl.`getStyle()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type Style
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
StyleMapImpl.`basicSetStyle(Style newStyle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static StyleMap`
StyleMapImpl.`create(StyledComponent name, Style style)`
`void`
StyleMapImpl.`setStyle(Style newStyle)`